查询亚马逊源报表 - FBA退货订单
POST
/erp/sc/data/mws_report/refundOrders查询 FBA customer returns 报表
接口信息
| API Path | 请求协议 | 请求方式 | 令牌桶容量 |
|---|---|---|---|
/erp/sc/data/mws_report/refundOrders | HTTPS | POST | 1 |
请求参数
sidinteger必填date_typeintegerstart_datestring必填end_datestring必填offsetintegerlengthinteger请求示例
{
"sid": 109,
"date_type": 1,
"start_date": "2020-01-01",
"end_date": "2024-08-05",
"offset": 0,
"length": 1000
}
返回结果
Json Object
codeinteger必填messagestring必填error_detailsarray<any>必填request_idstring必填response_timestring必填dataarray<object>必填隐藏子属性
sidinteger必填order_idstring必填local_skustring必填product_namestring必填skustring必填asinstring必填fnskustring必填quantityinteger必填return_datestring必填return_date_localestring必填purchase_datestring必填purchase_date_localestring必填gmt_modifiedstring必填fulfillment_center_idstring必填detailed_dispositionstring必填reasonstring必填statusstring必填license_plate_numberstring必填customer_commentsstring必填remarkstring必填tagarray<object>必填隐藏子属性
tag_namestring必填tag_colorstring必填返回成功示例
{
"code":0,
"message":"success",
"error_details":[],
"request_id":"3387708D-4BB5-BB28-F8CE-18EE2A3D591F",
"response_time":"2023-06-30 17:30:02",
"data":[
{
"sid":101,
"order_id":"133666",
"product_name":"SUPER J Cell Phone Armband Running Armband for Iphone Samsung Sports Phone Holder Waterproof",
"sku":"JJ001",
"asin":"B0BB9XV7CW",
"fnsku":"B0BB9XV7CW",
"quantity":1,
"return_date":"2023-06-04T19:57:09+01:00",
"return_date_locale":"2023-06-04",
"purchase_date": "2023-08-13T07:20:35Z",
"purchase_date_locale": "2023-08-13",
"fulfillment_center_id":"AUS3",
"detailed_disposition":"SELLABLE",
"reason":"UNDELIVERABLE_UNKNOWN",
"status":"Unit returned to inventory",
"license_plate_number":"LPNT010424593",
"customer_comments":"",
"gmt_modified":"2023-06-08 09:48:10",
"local_sku":"10369333",
"remark":"备注",
"tag":[
{
"tag_name":"尺码问题",
"tag_color":"E76A5D"
}
]
}
],
"total":1
}
返回失败示例
{
"code": 102,
"message": "参数不合法",
"error_details": [
"参数不能为空"
],
"request_id": "CCF43BD7-A0A1-31BC-5B36-717DDF197755",
"response_time": "2021-11-23 17:46:09",
"data": [],
"total": 0
}